# Get contracts by contract package

Retrieve contracts associated with a specific contract package.

```
GET /contract-packages/{contract_package_hash}/contracts
```

This endpoint allows you to retrieve contracts associated with a specific contract package. You can filter the results by deploy hash and choose to include optional fields such as contract package data. The example demonstrates a sample response with details for each contract, including contract hash, contract package hash, deploy hash, contract type ID, timestamp, contract version, and disabled status.

## Query params

| Query param   | Description                                                  |
| ------------- | ------------------------------------------------------------ |
| `deploy_hash` | Hash of the deploy that deployed the contract to the network |

## Sorting

None

## Optional properties

| Property           | Type                                                                       | Description                                          |
| ------------------ | -------------------------------------------------------------------------- | ---------------------------------------------------- |
| `contract_package` | [ContractPackage](https://docs.cspr.cloud/1.1.x/rest-api/contract-package) | Contract package, this contract version is a part of |

## Sorting

| Property    | Description                 |
| ----------- | --------------------------- |
| `timestamp` | Sort contracts by timestamp |

Default sorting is `timestamp DESC`

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.1.x/documentation/overview/pagination)[`<Contract>`](https://docs.cspr.cloud/1.1.x/rest-api/contract)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/contract-packages/ae2feaa4e86841c1c6f40f1779e1e1cb1d9d4d52a0eb82a8962829646524e744/contracts' \
  -H 'Accept: application/json' \
  -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "contract_hash": "8a2feaa4e86841c1c6f40f1779e1e1cb1d9d4d52a0eb82a8962829646524e732",
      "contract_package_hash": "ae2feaa4e86841c1c6f40f1779e1e1cb1d9d4d52a0eb82a8962829646524e744",
      "deploy_hash": "1a2feaa4e86841c1c6f40f1779e1e1cb1d9d4d52a0eb82a8962829646524e755",
      "contract_type_id": 2,
      "timestamp": "2023-01-01T12:00:00Z",
      "contract_version": 1,
      "is_disabled": false
    },
    {
      "contract_hash": "5e718fa0918ae95e58b9a320f412b935af6544b04b6b89fb2ca9982cab0dd261",
      "contract_package_hash": "8e718fa0918ae95e58b9a320f412b935af6544b04b6b89fb2ca9982cab0dd262",
      "deploy_hash": "2e718fa0918ae95e58b9a320f412b935af6544b04b6b89fb2ca9982cab0dd263",
      "contract_type_id": 4,
      "timestamp": "2023-01-02T12:00:00Z",
      "contract_version": 2,
      "is_disabled": false
    },
    ...
  ],
  "item_count": 100,
  "page_count": 10
}
```
